<?php
//
$Foto=V($_FILES['Foto']['name']);
$Des=V($_POST['Des']);
//
function ImgG($Nom){
	$Fot=$_FILES[$Nom]['name'];
	if(strlen($Fot)>0){
		$FN="pro_".time().".jpg";
		$FX="banners/".$FN;
		//
		if(file_exists($FX)){
			unlink($FX);
		}
		if(move_uploaded_file($_FILES[$Nom]['tmp_name'], $FX)){
			return $FN;
		}else{
			return "";
		}
	}
}
//
if($StrCmd=="UPLOAD"){
	$FILE="";
	$IMG_FEC=date("Y-m-d");
	$IMG_HOR=GetHoraAP();
	$IMG_ID=GenId("id_pi","web_productos_img");
	$IMG_SQ="INSERT INTO web_productos_img 
			 VALUES ($IMG_ID,$PRO_KOD,'$FILE','$IMG_FEC','$IMG_HOR','$Des')";
	ejt($IMG_SQ);
	if(strlen($Foto)>0){
		$FN=ImgG("Foto");
		if(strlen($FN)>0){
			$s="UPDATE web_productos_img 
				SET pi_archivo='$FN' 
				WHERE id_pi=$IMG_ID";
			ejt($s);
		}
	}
	$DET_ID=0;
	$Des="";
}
//
if($StrCmd=="ELI"){	
	$ARC=gs("pi_archivo","web_productos_img","id_pi=$DET_ID");
	$FNN="banners/".$ARC;
	if(file_exists($FNN)){
		unlink($FNN);
	}
	$s="DELETE FROM web_productos_img WHERE id_pi=$DET_ID";
	ejt($s);
	$DET_ID=0;
	$LIMPIAR=1;
}
//
if($StrCmd=="VER"){
	//$Des=gs("pi_des","web_productos_inc","id_pi=$DET_ID");
}
//
if($LIMPIAR==1){
	$Des="";
}
?>